# Class: YARD::Server::Commands::RootRequestCommand

Inherits:
  Base
  - Object
  - Base
  - YARD::Server::Commands::RootRequestCommand
  show all

Includes:
  StaticFileHelpers

Defined in:
  lib/yard/server/commands/root_request_command.rb

## Overview

Serves requests from the root of the server

Since:

- 0.6.0

## Constant Summary

### Constants included from HTTPUtils

HTTPUtils::DefaultMimeTypes, HTTPUtils::ESCAPED, HTTPUtils::NONASCII, HTTPUtils::UNESCAPED, HTTPUtils::UNESCAPED_FORM, HTTPUtils::UNESCAPED_PCHAR

## Instance Method Summary collapse

- #run ⇒ Object

### Methods included from StaticFileHelpers

#favicon?, find_file, #static_template_file?

### Methods included from HTTPUtils

_escape, _make_regex, _make_regex!, _unescape, dequote, escape, escape8bit, escape_form, escape_path, load_mime_types, mime_type, normalize_path, parse_form_data, parse_header, parse_query, parse_qvalues, parse_range_header, quote, split_header_value, unescape, unescape_form

### Methods included from StaticCaching

#cache, #check_static_cache

## Constructor Details

This class inherits a constructor from YARD::Server::Commands::Base

## Instance Method Details

### #run ⇒ `Object`

Since:

- 0.6.0

    9
    10
    11

    # File 'lib/yard/server/commands/root_request_command.rb', line 9

    def run
      static_template_file? || favicon? || not_found
    end